Subject: [Teep] Comments on draft-liu-opentrustprotocol-usecase-01.txt

From: Eric Rescorla <[email-masked]>
Date: Thu, 9 Nov 2017 05:17:41 -0800

This document really needs to be a lot clearer about the expected setting
and the threat model. Specifically:

- What is the TEE's security posture with respect to the rest of the
  code running on the machine. My understanding is that at least in ARM,
  it's effectively super-privileged but that SGX is more like part of
  the application.

- Some of the applications you describe assume that the user is cooperating
  with code in the TEE (e.g., payment, where you have no inherent interest
  in denying the user control) whereas others (e.g., DRM) have the user
  in an inherently adversarial posture. Which cases is this designed for?

-Ekr